# Uses of Class
org.kapott.hbci.manager.MsgGen

Packages that use MsgGen
Package
Description
org.kapott.hbci.comm
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.protocol
org.kapott.hbci.protocol.factory
org.kapott.hbci.rewrite
Rewriter-Module werden von HBCI4Java benutzt, um mit fehlerhaften HBCI-Servern arbeiten zu können.

## Uses of MsgGen in org.kapott.hbci.comm

Methods in org.kapott.hbci.comm with parameters of type MsgGen
Modifier and Type
Method
Description
`protected abstract StringBuffer`
Comm.`pong(MsgGen gen)`
`protected StringBuffer`
CommPinTan.`pong(MsgGen gen)`
`protected StringBuffer`
CommStandard.`pong(MsgGen gen)`

## Uses of MsgGen in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return MsgGen
Modifier and Type
Method
Description
`MsgGen`
HBCIHandler.`getMsgGen()`
`MsgGen`
HBCIInstitute.`getMsgGen()`
`MsgGen`
HBCIKernelImpl.`getMsgGen()`
`MsgGen`
HBCIUser.`getMsgGen()`
`MsgGen`
IHandlerData.`getMsgGen()`

## Uses of MsgGen in org.kapott.hbci.protocol

Methods in org.kapott.hbci.protocol with parameters of type MsgGen
Modifier and Type
Method
Description
`void`
MSG.`autoSetMsgSize(MsgGen gen)`
`String`
SEG.`getCode(MsgGen gen)`
`void`
MSG.`init(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq, boolean checkValids)`
`void`
MSG.`init(String type, MsgGen gen, Hashtable<String,String> clientValues)`
Constructors in org.kapott.hbci.protocol with parameters of type MsgGen
Modifier
Constructor
Description
``
`MSG(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq, boolean checkValids)`
``
`MSG(String type, MsgGen gen, Hashtable<String,String> clientValues)`

## Uses of MsgGen in org.kapott.hbci.protocol.factory

Methods in org.kapott.hbci.protocol.factory with parameters of type MsgGen
Modifier and Type
Method
Description
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen)`
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq)`
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq, boolean checkValids)`
`MSG`
MSGFactory.`createMSG(String type, MsgGen gen, Hashtable<String,String> clientValues)`

## Uses of MsgGen in org.kapott.hbci.rewrite

Methods in org.kapott.hbci.rewrite with parameters of type MsgGen
Modifier and Type
Method
Description
`String`
Rewrite.`incomingClearText(String st, MsgGen gen)`
`String`
RInvalidSegment.`incomingClearText(String st, MsgGen gen)`
`String`
RInvalidSuppHBCIVersion.`incomingClearText(String st, MsgGen gen)`
`String`
RSecTypeTAN.`incomingClearText(String st, MsgGen gen)`
`String`
RSigIdLeadingZero.`incomingClearText(String st, MsgGen gen)`
`String`
RWrongSequenceNumbers.`incomingClearText(String st, MsgGen gen)`
`String`
RWrongStatusSegOrder.`incomingClearText(String st, MsgGen gen)`
`String`
Rewrite.`incomingCrypted(String st, MsgGen gen)`
`String`
RHBCIVersion.`incomingCrypted(String st, MsgGen gen)`
`String`
RMissingMsgRef.`incomingCrypted(String st, MsgGen gen)`
`MSG`
Rewrite.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsDelimiters.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsEmptyBDateSets.`incomingData(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingClearText(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingCrypted(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingSigned(MSG msg, MsgGen gen)`